#!/bin/sh

run=/run/redis

case $1 in
  start)
    install -dm 750 -o redis -g redis $run
    sed -re "s/^(maxmemory ).*/\1${MAX_MEMORY}/" -i /etc/redis.conf
    su-exec redis /usr/bin/redis-server /etc/redis.conf
    ;;
  stop)
    /usr/bin/redis-cli shutdown
    ;;
esac

exit $?
